package ext.chart.interactions {

[Native("Ext.chart.interactions.ItemHighlight", require)]
/**
 * The 'itemhighlight' interaction allows the user to highlight series items in the chart.
 * @see https://docs.sencha.com/extjs/6.5.3/classic/Ext.chart.interactions.ItemHighlight.html Original Ext JS documentation of 'Ext.chart.interactions.ItemHighlight'
 */
public class ItemHighlightInteraction extends ext.chart.interactions.AbstractInteraction {
  /**
   * @inheritDoc
   */
  public function ItemHighlightInteraction(config:ext.chart.interactions.ItemHighlightInteraction = null) {
    super();
  }

  [ExtConfig]
  [Bindable(event = "DUMMY")]
  /**
   * Disables mouse tracking.
   * Series items will only be highlighted/unhighlighted on mouse click.
   * This config has no effect on touch devices.
   * @default false
   * @see https://docs.sencha.com/extjs/6.5.3/classic/Ext.chart.interactions.ItemHighlight.html#cfg-sticky Original Ext JS documentation of 'sticky'
   * @see #getSticky()
   * @see #setSticky()
   */
  public native function get sticky():Boolean;

  [ExtConfig]
  [Bindable(event = "DUMMY")]
  /**
   * @private
   */
  public native function set sticky(value:Boolean):void;

  /**
   * Returns the value of <code>sticky</code>.
   * @see #sticky
   */
  public native function getSticky():Boolean;

  /**
   * Sets the value of <code>sticky</code>.
   * @param sticky The new value.
   * @see #sticky
   */
  public native function setSticky(sticky:Boolean):void;
}
}