package ext.draw.plugin {
import ext.plugin.AbstractPlugin;

[Native("Ext.draw.plugin.SpriteEvents", require)]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITECLICK
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITECLICK
 */
[Event(name = 'onSpriteclick', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEDBLCLICK
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEDBLCLICK
 */
[Event(name = 'onSpritedblclick', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEDOWN
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEDOWN
 */
[Event(name = 'onSpritemousedown', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEMOVE
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEMOVE
 */
[Event(name = 'onSpritemousemove', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEOUT
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEOUT
 */
[Event(name = 'onSpritemouseout', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEOVER
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEOVER
 */
[Event(name = 'onSpritemouseover', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEUP
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITEMOUSEUP
 */
[Event(name = 'onSpritemouseup', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * @see ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITETAP
 * @eventType ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent.SPRITETAP
 */
[Event(name = 'onSpritetap', type = 'ext.draw.plugin.events.SpriteEventsPlugin_sprite_eventEvent')]
/**
 * A draw container <i>plugin</i> (→<code>ext.plugin.AbstractPlugin</code>) that adds ability to listen
 * to sprite events. For example:
 * <pre>
 * var drawContainer = Ext.create('Ext.draw.Container', {
 *      plugins: {
 *          spriteevents: true
 *      },
 *      renderTo: Ext.getBody(),
 *      width: 200,
 *      height: 200,
 *      sprites: [{
 *           type: 'circle',
 *           fillStyle: '#79BB3F',
 *           r: 50,
 *           x: 100,
 *           y: 100
 *      }],
 *      listeners: {
 *          spriteclick: function (item, event) {
 *              var sprite = item &amp;&amp; item.sprite;
 *              if (sprite) {
 *                  sprite.setAttributes({fillStyle: 'red'});
 *                    sprite.getSurface().renderFrame();
 *              }
 *          }
 *      }
 * });
 * </pre>
 * @see ext.plugin.AbstractPlugin
 * @see https://docs.sencha.com/extjs/6.5.3/classic/Ext.draw.plugin.SpriteEvents.html Original Ext JS documentation of 'Ext.draw.plugin.SpriteEvents'
 */
public class SpriteEventsPlugin extends ext.plugin.AbstractPlugin {
  /**
   * @inheritDoc
   */
  public function SpriteEventsPlugin(config:ext.draw.plugin.SpriteEventsPlugin = null) {
    super();
  }
}
}