package ext.events {
import ext.Base;
import net.jangaroo.ext.FlExtEvent;

public class GlobalEvents_route_actionEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a route is about to be executed. This allows pre-processing to add additional
   * →<code>null.before()</code> or →<code>null.action()</code> handlers
   * when the →<code>null</code> is run.
   * <p>The route can be prevented from executing by returning <code>false</code> in a listener
   * or executing the →<code>null.stop()</code> method on the action.</p>
   * @see null#before()
   * @see null#action()
   * @see null
   * @see null#stop()
   * @see https://docs.sencha.com/extjs/6.5.3/classic/Ext.GlobalEvents.html#event-beforeroute Original Ext JS documentation of 'beforeroute'
   * @see ext.SGlobalEvents
   * @eventType onBeforeRoute
   */
  public static const BEFORE_ROUTE:String = "onBeforeRoute";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function GlobalEvents_route_actionEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The action that will be run.
   */
  public native function get action():ext.Base;

  /**
   * The route being executed.
   */
  public native function get route():ext.Base;
}
}