package ext.mixin {
import ext.Base;

[Native("Ext.mixin.Identifiable", require)]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>An Identifiable mixin.</p>
 * @see https://docs.sencha.com/extjs/6.5.3/classic/Ext.mixin.Identifiable.html Original Ext JS documentation of 'Ext.mixin.Identifiable'
 */
public class Identifiable extends ext.Base implements ext.mixin.IIdentifiable {
  /**
   * Retrieves the id of this component. Will autogenerate an id if one has not already been set.
   * @return id
   * @see https://docs.sencha.com/extjs/6.5.3/classic/Ext.mixin.Identifiable.html#method-getId Original Ext JS documentation of 'getId'
   */
  public native function getId():String;
}
}