package ext.plugin {
import ext.mixin.Responsive;

[Native("Ext.plugin.Responsive", require)]
/**
 * This plugin can be added to component instances to process a <code>→responsiveConfig</code>. For
 * example:
 * <pre>
 *  Ext.create({
 *      xtype: 'viewport',
 *      layout: 'border',
 *
 *      items: [{
 *          title: 'Some Title',
 *          plugins: {
 *              responsive: true
 *          },
 *
 *          responsiveConfig: {
 *              'width &lt; 800': {
 *                  region: 'north'
 *              },
 *
 *              'width &gt;= 800': {
 *                  region: 'west'
 *              }
 *          }
 *      }]
 *  });
 * </pre>
 * <p>For details see <code>→ext.mixin.Responsive.responsiveConfig</code>.</p>
 * @see #responsiveConfig
 * @see ext.mixin.Responsive#responsiveConfig
 * @see https://docs.sencha.com/extjs/6.5.3/classic/Ext.plugin.Responsive.html Original Ext JS documentation of 'Ext.plugin.Responsive'
 */
public class ResponsivePlugin extends ext.mixin.Responsive {
  /**
   * @param config @inheritDoc
   */
  public function ResponsivePlugin(config:ext.plugin.ResponsivePlugin = null) {
    super();
  }
}
}